<?php

namespace BAG\Laravel\Console;

use Symfony\Component\Console\Attribute\AsCommand;

#[AsCommand(name: 'bag:migrations')]
class MakeMigrations extends ProxyCommand
{
    /**
     * @var string
     */
    protected $signature = 'bag:migrations';

    /**
     * @var string
     */
    protected $description = 'Generate migrations based on current database schema and models';

    /**
     * @return int|null
     */
    public function proxyHandle()
    {
        return app(\BAG\Stack\Laravel\MakeMigrations::class)->run();
    }
}
